API referenceLinkedin messaging
GET
/api/v1/chats/{id}

From Swarmhit's chat record (no call to LinkedIn).

Authorization

X-API-KEY<token>

Your API key from the console (gw_live_…).

In: header

Path Parameters

id*string

A LinkedIn chat id (lgc_…).

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/chats/lgc_Q2xpZW50Q2hhdA"
{  "object": "Chat",  "id": "lgc_Q2xpZW50Q2hhdA",  "account_id": "lg_3f9c2a7b1d",  "provider_id": "urn:li:msg_conversation:(urn:li:fsd_profile:ACoAAexample,2-ZXhhbXBsZQ==)",  "attendees": [    {      "object": "ChatAttendee",      "id": "ACoAAB1a2b3c4d5e6f",      "provider_id": "ACoAAB1a2b3c4d5e6f",      "public_identifier": "jane-doe",      "name": "Jane Doe",      "picture_url": null,      "profile_url": "https://www.linkedin.com/in/jane-doe",      "specifics": {        "occupation": "Head of Sales at Example Corp"      },      "is_self": 0    }  ],  "timestamp": "2026-10-31T09:30:00.000Z"}